- Random123-1.09 Documentation

Public Types | Public Member Functions | Static Public Attributes

# r123::AESNI4x32 Struct Reference

`#include <Random123/aes.h>`

Inheritance diagram for r123::AESNI4x32:

List of all members.

## Public Types
typedef aesni4x32_ctr_t | ctr_type
typedef aesni4x32_ukey_t | ukey_type
typedef aesni4x32_key_t | key_type
## Public Member Functions
ctr_type | operator() (ctr_type ctr, key_type key) const
## Static Public Attributes
static const unsigned int | rounds = 10

## Member Typedef Documentation

typedef aesni4x32_ctr_t r123::AESNI4x32::ctr_type

typedef aesni4x32_key_t r123::AESNI4x32::key_type

typedef aesni4x32_ukey_t r123::AESNI4x32::ukey_type

## Member Function Documentation

ctr_type r123::AESNI4x32::operator() | ( | ctr_type | ctr,
|  | key_type | key |
| ) |  |  | const`[inline]`

## Member Data Documentation

const unsigned int r123::AESNI4x32::rounds = 10`[static]`

The documentation for this struct was generated from the following file:

- Random123/aes.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines